[Bug 61921] New: build error while using jar 3.17 version with android

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

[Bug 61921] New: build error while using jar 3.17 version with android

Bugzilla from bugzilla@apache.org
https://bz.apache.org/bugzilla/show_bug.cgi?id=61921

            Bug ID: 61921
           Summary: build error while using jar 3.17 version with android
           Product: POI
           Version: 3.17-FINAL
          Hardware: PC
                OS: Linux
            Status: NEW
          Severity: normal
          Priority: P2
         Component: XSSF
          Assignee: [hidden email]
          Reporter: [hidden email]
  Target Milestone: ---

I am using these dependency on my android build.gradle file

implementation group: 'org.apache.poi', name: 'poi', version: '3.17'
implementation group: 'org.apache.poi', name: 'poi-ooxml', version: '3.17'
implementation group: 'org.apache.poi', name: 'poi-ooxml-schemas', version:
'3.17'

Unfortunately it throws these error while building ...


Android setup
compileSdkVersion 26
    defaultConfig {
        applicationId "com.example.test"
        minSdkVersion 16
        targetSdkVersion 26
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner
"android.support.test.runner.AndroidJUnitRunner"
        multiDexEnabled true
    }


ERROR :

Execution failed for task ':app:transformClassesWithStackFramesFixerForDebug'.
> com.android.build.api.transform.TransformException: java.lang.RuntimeException: java.lang.RuntimeException: java.util.concurrent.ExecutionException: java.util.concurrent.ExecutionException: com.android.builder.utils.FileCache$FileCreatorException: java.util.zip.ZipException: duplicate entry: org/apache/xmlbeans/xml/stream/Location.class

I couldn't resolve this since i am a beginner.

Could you help,Please ?

--
You are receiving this mail because:
You are the assignee for the bug.
---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[Bug 61921] build error while using jar 3.17 version with android

Bugzilla from bugzilla@apache.org
https://bz.apache.org/bugzilla/show_bug.cgi?id=61921

--- Comment #1 from PJ Fanning <[hidden email]> ---
Use https://github.com/pjfanning/xmlbeans instead of Apache XMLBeans.
See the sample linked in the README file.

--
You are receiving this mail because:
You are the assignee for the bug.
---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[Bug 61921] build error while using jar 3.17 version with android

Bugzilla from bugzilla@apache.org
In reply to this post by Bugzilla from bugzilla@apache.org
https://bz.apache.org/bugzilla/show_bug.cgi?id=61921

Dominik Stadler <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
         Resolution|---                         |DUPLICATE
             Status|NEW                         |RESOLVED

--- Comment #2 from Dominik Stadler <[hidden email]> ---
We handle the duplicate classes in XmlBeans in bug #59268, so I am closing this
as duplicate.

However note that there are a number of additional things that may affect you
when using Apache POI on Android.

There is a separate project at https://github.com/centic9/poi-on-android/ which
tries to provide a way to more easily get most of these fixed. You may want to
take a look there and probably use the single jar-file that is provided as part
of that project.

*** This bug has been marked as a duplicate of bug 59268 ***

--
You are receiving this mail because:
You are the assignee for the bug.
---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[Bug 61921] build error while using jar 3.17 version with android

Bugzilla from bugzilla@apache.org
In reply to this post by Bugzilla from bugzilla@apache.org
https://bz.apache.org/bugzilla/show_bug.cgi?id=61921

--- Comment #3 from Prabin Shrestha <[hidden email]> ---
Thanks

--
You are receiving this mail because:
You are the assignee for the bug.
---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]